Subject: bug#77257: inhibit-message should inhibit echo area clearing too

From: Daniel Colascione <[email-masked]>
Date: Sun, 30 Mar 2025 02:45:57 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Daniel Colascione <[email-masked]>
>> Date: Tue, 25 Mar 2025 14:58:35 -0400
>> 
>> 
>> (let ((inhibit-message t)) (message "blah")) has the effect of clearing
>> the echo area.  I'd expect the semantic of inhibit-message to be
>> preventing all visible side effects of message --- not just some
>> of them.
>
> We need to preserve the current meaning of t as the value of
> inhibit-message, to avoid backward-incompatible changes.  So I added a
> third value to mean suppress clearing of the echo-area as well.  Does
> the patch below look right?

Normally I'm all for backwards compatibility --- but do you really think
there are people relying on inhibit-message t clearing the echo area?
On purpose?